curl --request GET \
--url 'https://response.stateset.com/api/v1/responses/{id}' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
Get one response
The response
GET
/
api
/
v1
/
responses
/
{id}
curl --request GET \
--url 'https://response.stateset.com/api/v1/responses/{id}' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
Path parameters
string (uuid)
required
The response id.
Response
Response
string
string
string,null
string,null
string,null
string,null
string,null
boolean
string,null
string,null
string,null
Status codes
| Code | Meaning |
|---|---|
200 | The response |
401 | Missing, invalid, or expired API key. |
403 | The key lacks a required scope. |
404 | Not found, or not in the organization that owns the key. |
429 | Rate limit exceeded. |
Access
| Required scope | responses:read |
| Rate limit | 120 requests per minute |
curl --request GET \
--url 'https://response.stateset.com/api/v1/responses/{id}' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026